
Database - Bug #2656

race condition in DynamicTablesHelper

08/24/2015 07:43 AM - Eric Faulhaber

Status: WIP Start date:  

Priority: Normal Due date:  

Assignee: Eric Faulhaber % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stablization for Server

Features

  

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 08/24/2015 07:50 AM - Eric Faulhaber

I put in a tentative fix into rev. 10928 for a race condition in DynamicTablesHelper.createDynamicDMO, which passed regression testing and some

unit testing. However, to truly confirm it is fixed, I would like to force the situation in the debugger, using breakpoints to simulate the race condition.

This will involve creating the same dynamic temp-table in two contexts and halting both after the first cache check misses, then allowing one to build

the table and put it to the cache. The original error (NPE) occurred when the second thread would get a cache hit on the second try, so the test would

be to confirm this now works without the NPE.

#2 - 11/16/2016 12:08 PM - Greg Shah

- Target version changed from Milestone 11 to Cleanup and Stablization for Server Features
